epp_DomainInfoRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainInfoRsp class

### org.openrtk.idl.epp02.domain

# Class epp_DomainInfoRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainInfoRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainInfoRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainInfoRsp.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `epp_AuthInfo` | `m_auth_info`
  `String` | `m_client_id`
  `epp_DomainContact[]` | `m_contacts`
  `String` | `m_created_by`
  `String` | `m_created_date`
  `String` | `m_expiration_date`
  `String[]` | `m_hosts`
  `String` | `m_name`
  `String[]` | `m_name_servers`
  `String` | `m_registrant`
  `String` | `m_roid`
  `epp_Response` | `m_rsp`
  `epp_DomainStatus[]` | `m_status`
  `String` | `m_transfer_date`
  `String` | `m_updated_by`
  `String` | `m_updated_date`

  ## Constructor Summary
  `epp_DomainInfoRsp()`
  `epp_DomainInfoRsp(epp_Response _m_rsp, String _m_name, String _m_roid, epp_DomainStatus[] _m_status, String _m_registrant, epp_DomainContact[] _m_contacts, String[] _m_name_servers, String[] _m_hosts, String _m_client_id, String _m_created_by, String _m_created_date, String _m_updated_by, String _m_updated_date, String _m_expiration_date, String _m_transfer_date, epp_AuthInfo _m_auth_info)`

  ## Method Summary
  `epp_AuthInfo` | `getAuthInfo()`
  `String` | `getClientId()`
  `epp_DomainContact[]` | `getContacts()`
  `String` | `getCreatedBy()`
  `String` | `getCreatedDate()`
  `String` | `getExpirationDate()`
  `String[]` | `getHosts()`
  `String` | `getName()`
  `String[]` | `getNameServers()`
  `String` | `getRegistrant()`
  `String` | `getRoid()`
  `epp_Response` | `getRsp()`
  `epp_DomainStatus[]` | `getStatus()`
  `String` | `getTransferDate()`
  `String` | `getUpdatedBy()`
  `String` | `getUpdatedDate()`
  `void` | `setAuthInfo(epp_AuthInfo value)`
  `void` | `setClientId(String value)`
  `void` | `setContacts(epp_DomainContact[] value)`
  `void` | `setCreatedBy(String value)`
  `void` | `setCreatedDate(String value)`
  `void` | `setExpirationDate(String value)`
  `void` | `setHosts(String[] value)`
  `void` | `setName(String value)`
  `void` | `setNameServers(String[] value)`
  `void` | `setRegistrant(String value)`
  `void` | `setRoid(String value)`
  `void` | `setRsp(epp_Response value)`
  `void` | `setStatus(epp_DomainStatus[] value)`
  `void` | `setTransferDate(String value)`
  `void` | `setUpdatedBy(String value)`
  `void` | `setUpdatedDate(String value)`
  `String` | `toString()`

## Field Details

### m_auth_info

    public epp_AuthInfo m_auth_info

### m_client_id

    public String m_client_id

### m_contacts

    public epp_DomainContact[] m_contacts

### m_created_by

    public String m_created_by

### m_created_date

    public String m_created_date

### m_expiration_date

    public String m_expiration_date

### m_hosts

    public String[] m_hosts

### m_name

    public String m_name

### m_name_servers

    public String[] m_name_servers

### m_registrant

    public String m_registrant

### m_roid

    public String m_roid

### m_rsp

    public epp_Response m_rsp

### m_status

    public epp_DomainStatus[] m_status

### m_transfer_date

    public String m_transfer_date

### m_updated_by

    public String m_updated_by

### m_updated_date

    public String m_updated_date

## Constructor Details

### epp_DomainInfoRsp

    public epp_DomainInfoRsp()

### epp_DomainInfoRsp

    public epp_DomainInfoRsp(epp_Response _m_rsp,
                             String _m_name,
                             String _m_roid,
                             epp_DomainStatus[] _m_status,
                             String _m_registrant,
                             epp_DomainContact[] _m_contacts,
                             String[] _m_name_servers,
                             String[] _m_hosts,
                             String _m_client_id,
                             String _m_created_by,
                             String _m_created_date,
                             String _m_updated_by,
                             String _m_updated_date,
                             String _m_expiration_date,
                             String _m_transfer_date,
                             epp_AuthInfo _m_auth_info)

## Method Details

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

### getClientId

    public String getClientId()

### getContacts

    public epp_DomainContact[] getContacts()

### getCreatedBy

    public String getCreatedBy()

### getCreatedDate

    public String getCreatedDate()

### getExpirationDate

    public String getExpirationDate()

### getHosts

    public String[] getHosts()

### getName

    public String getName()

### getNameServers

    public String[] getNameServers()

### getRegistrant

    public String getRegistrant()

### getRoid

    public String getRoid()

### getRsp

    public epp_Response getRsp()

### getStatus

    public epp_DomainStatus[] getStatus()

### getTransferDate

    public String getTransferDate()

### getUpdatedBy

    public String getUpdatedBy()

### getUpdatedDate

    public String getUpdatedDate()

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

### setClientId

    public void setClientId(String value)

### setContacts

    public void setContacts(epp_DomainContact[] value)

### setCreatedBy

    public void setCreatedBy(String value)

### setCreatedDate

    public void setCreatedDate(String value)

### setExpirationDate

    public void setExpirationDate(String value)

### setHosts

    public void setHosts(String[] value)

### setName

    public void setName(String value)

### setNameServers

    public void setNameServers(String[] value)

### setRegistrant

    public void setRegistrant(String value)

### setRoid

    public void setRoid(String value)

### setRsp

    public void setRsp(epp_Response value)

### setStatus

    public void setStatus(epp_DomainStatus[] value)

### setTransferDate

    public void setTransferDate(String value)

### setUpdatedBy

    public void setUpdatedBy(String value)

### setUpdatedDate

    public void setUpdatedDate(String value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS